List Recycle Bin

​

List all assets in a recycle bin for a given workspace. The deleted assets are available for 30 days. After that, assets are permanently deleted.

Query Parameters

  • Number of items to skip from start of page response.

  • Number of items to return for a single page.

  • ID of workspace for which you want to list the recycle bin items.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/video/asset/recoverable/list
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const recycleBin = await client.recycleBin.list({
  size: 20,
  workspace_id: 'workspaceId',
});

console.log(recycleBin);
{
  "total_asset_count": 1,
  "current_offset": 1,
  "all_assets": [
    {
      "asset_id": "string",
      "workspace_id": "string",
      "title": "string",
      "description": null,
      "tags": [
        "string"
      ],
      "duration": 1,
      "deleted_at": 1,
      "deleted_by": "string"
    }
  ]
}